SIM Management
API Reference
Sim Swap

Sim Swap

This endpoint swaps each SIM for a replacement SIM.

NameTypeDescription
swapsarrayThe SIMs to swap and the SIM each one is swapped for
namestringOptional name for the submission, defaults to "SIM Swap"

swaps

NameTypeDescription
serialNumberstringSerial number of the SIM being swapped
swapSerialNumberstringSerial number of the replacement SIM

All SIMs must be on the same account, and every serial number supplied must be unique.

Request

curl --location 'https://api.cellhire.com/api/simsubmission/SimSwap' \
  -header 'Content-Type: application/json;charset=UTF-8' \
  -header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IjRBMDlENTFBMDhEOEUxMTU0OTkyODFDNDdFMjE.....' \
  --data '{
    "swaps": [
      { "serialNumber": "1111111111111111111", "swapSerialNumber": "6666666666666666666" },
      { "serialNumber": "2222222222222222222", "swapSerialNumber": "7777777777777777777" }
    ]
    }'

Successful Response

NameTypeDescription
ticketNumberguidSubmission Id that has been created
{ "ticketNumber": "1beeb8dd-1825-4bcd-8a62-f941aacb8d15" }